#!/bin/bash
#SBATCH --job-name=LAMMPS-test
#SBATCH -p P02EU-CL-EPYC7V12-120c
#SBATCH --error=error.err
#SBATCH --output=out.out
#SBATCH -t 10:00:00
#SBATCH --ntasks=60
#SBATCH --cpus-per-task=1     


export OMPI_MCA_hwloc_base_binding_policy=core
export OMPI_MCA_rmaps_base_mapping_policy=core
export OMP_NUM_THREADS=4
export PATH=/shared/home/20240718WK/lammps/src:$PATH

module load mpi/openmpi
which lmp >> out.out
which mpirun >> out.out

mpirun -n 60 lmp -i vlmp.in

echo -e '\a'

if [ $? -eq 0 ]; then
    script_name="$2"
    if [[ "$2" == R6_* ]]; then
        new_script_name="${script_name#R6_}"
        mv "$1/$script_name" "$1/$new_script_name"
    fi
fi

